Welcome

Welcome to PNotes!

Managing your day-to-day life is not an easy job to do. There are so many things to concern for - housekeeping, shopping, children... And what about cousin's birthday you always forget? Or important phone numbers? Undoubtedly your working place is covered with dusty yellow (or blue, or pink) sticky notes. If so - PNotes is right for you. Throw the physical stickies away and replace them with virtual ones on your desktop.
Here are some PNotes featers:
  • Skins - there is a variety of skins for PNotes, but, if you wish, you can run the program in skinless mode, in which case you can stretch notes to aby reasonable size.
  • Transparency - you can set notes transparency level from opaque to fully transparent.
  • Scheduling - use one of three available schedule type to be reminded about significant events.
  • Formatting - format and design each note as you wish, using all advantages of rich text formatting.
  • Groups - divide notes into groups of your choice, create new groups and subgroups, control all by mouse click or drag-and-drop.
  • Docking - dock your notes to any side of screen, forcing them always to be straightened and look like panel.
  • Searching - search (or replace) for text fragments in all notes, include hidden, or in each separate note.
  • Unicode support - PNotes is fully Unicode supported and translated into many languages.
  • Portability - PNotes does not require installation, it can be started from any drive (fixed or flash) and leaves no traces on host computer after finishing.

I hope you will enjoy using PNotes like I enjoy creating it!


Installation
Installation from ZIP archive
Just place PNotes folder wheresoever you want on your hard disk or flash drive. It is absolutely portable application, which does not require any additional settings in registry and does not leave behind any traces in registry as well.
Installation from other installers
Proceed accordingly to installer instructions.


Uninstallation
Uninstallation of program installed from ZIP archive
Remove PNotes folder.
Uninstallation of program installed by other installers
Proceed accordingly to uninstaller instructions.


Getting Started
When you start PNotes it places itself into system tray and allows you to interact with it either by right-click on its icon [image] and choosing one of pop-up menu items, or by using your own hot keys, which could be defined on Behavior tab of Preferences dialog.

Available pop-up menu commands are:
  • New Note - creates new note.
  • Preferences - brings up Preferences dialog.
  • Language - allows you to change the user interface language.
  • Show All - shows all notes.
  • Hide All - hides all notes.
  • Save All - saves all notes.
  • Docking (all notes) - allows you to dock all visible notes to any side of screen or undock them.
  • Control Panel - brings up Control Panel window.
  • Search In Notes - brings up Search window.
  • Help - brings up this help window.
  • About - brings up about dialog.
  • PNotes Homepage - redirects you to pnotes.sourceforge.net
  • Exit - ends program.


Note
It is clear that note is a basic element of PNotes. Depending on your choice, made on Skins tab of Preferences dialog, it can be skinnable or skinless.
Each note consists of three arreas: header, text area and footer.
Header of note includes note's caption and two command buttons, which allow you to hide or delete current note.
In case of skinnable note the header will also display notifications [image], if note has been changed and/or scheduled.
Text area is an area you type your text in. Right mouse button click somewhere in text area will show pop-up menu for note's text operations:

Menu item | Shortcut | Description
Undo | Ctrl+Z | Undoes last text operation
Redo | Ctrl+Y | Redoes last text operation
Cut | Ctrl+X | Cuts selected text
Copy | Ctrl+C | Copies selected text
Paste | Ctrl+V | Pastes text from clipboard into note
Format | --- | Opens submenu with text formatting options, identical to note's toolbar
Find | Ctrl+F | Brings up Find dialog
Find Next | F3 | Finds next occurrence of text fragment
Replace | Ctrl+H | Brings up Replace dialog
Select All | Ctrl+A | Selects all text in note's text area

Footer of note includes toolbar (visible only on active note) and, in case of skinless note, sizing grip, allows you to resize the note and notifications [image] for changed/scheduled note.
Note's toolbar [image] includes 12 buttons (explained in table below) and gives you unrestricted formatting abilities.

Button | Description
Font | Applies specified font to selected text
Font Size | Applies specified font size to selected text
Font Color | Applies specified font color to selected text
Bold | Applies bold font style to selected text
Italic | Applies italic font style to selected text
Underscore | Applies underscore font style to selected text
Strikethrough | Applies strikethrough font style to selected text
Highlight | Highlights selected text with specified color
Align Left | Aligns selected text left
Center | Centralize selected text
Align Right | Aligns selected text right
Bullets | Applies bullets style to selected text

Right mouse button click anywhere on note's area, exclude text area, will show note's pop-up menu with items described in table below:

Menu item | Shortcut | Description
Save | Ctrl+S | Saves current note
Save As | --- | Saves current note (with new name)
Adjust | --- | Brings up note's Adjust dialog
Hide | --- | Hides current note
Delete | --- | Deletes current note
Dock | --- | Opens submenu with docking options
Send | --- | Sends current note's content via email
Groups | --- | Opens list of available groups and allows to change current note's group
On Top | --- | Makes note topmost window.


Note's adjust dialog
Note's adjust dialog consists of two tabs: Appearance and Schedule
Appearance - allows you to change note's skin in case you are working in skinnable mode, or change note's body backcolor and/or note's caption font in case you are working in skinless mode (these options are not accessible for docked notes).
Schedule - allows you to schedule note with any of available schedule type, as described in table below:

Schedule type | Description
Alarm once | Will notify you once at date and time specified
Alarm every day | Will notify you every day at time specified
Alarm every... | Will pester you in interval specified ([days]:[hours]:[minutes]:[seconds])

Button "Standard View" at the bottom of dialog will restore default note's appearance settings for current note: skin for skinnable mode or color scheme for skinless mode.


Preferences

Preferences dialog
Preferences dialog allows you to set various program options. Some of then can be overridden on note's Adjust dialog, while others remain common for program in whole.
This dialog consists of several tabs:

Tab | Description
Appearance | Everything related to note's window appearance
Skins | Everything related to common notes's skins or skinless notes options
Schedule | Everything related to scheduling (date formats, sounds etc)
Docking | Everything related to notes's docking
Behavior | Everything related to program's behavior
Misc | All other options

"Default preferences" button will restore default program preferences.
No changes are applied until you click "OK" or "Apply" button.


Appearance tab (Preferences dialog)
Following options can be set on this tab:
  • Transparency level - select/deselect appropriate checkbox to enable/disable transparency. Set desirable value for transparency. Notice, that value of 255 will result in fully transparent note.
  • Note's toolbar - hide/show note's toolbar
  • Note's scrollbars - select/deselect appropriate checkbox. Notice, that applying this change will force all notes to be reloaded.


Skins tab (Preferences dialog)
Following options can be set on this tab:
  • Skins - choose one from the list or choose "(No skin)" if you prefer skinless mode. In the window next to the list will appear skin's preview or skinless note preview. In case of skinless mode you can change note's background color and caption font in preview window.
  • More skins - check PNotes site for more skins available.
  • Change common notes's font - note's specific formatting can be done on note window.
  • Default size of skinless note - each new skinless note will be set to this size on creation.
  • Skinless notes's common background color and/or caption font - note's specific formatting can be done on note window.
  • Random background color - check this option if you want to randomize newly created skinless notes colors.
  • Skinless notes's behavior on double click on note's caption - select/deselect appropriate checkbox. If this option is set, double click on note's caption will roll it to caption size and next double click will unroll it back.


Schedule tab (Preferences dialog)
Following options can be set on this tab:
  • Sound alerts - select/deselect appropriate checkbox in order to enable/disable sound alerts. If alerts are enabled you can add, listen and remove *.wav files.
  • Visual notification - select/deselect appropriate checkbox. If visual notification is enabled anumated exclamation icon will be displayed over the scheduled note, when it alerts you.
  • Date/time formats - choose date/time formats for Schedule tab of note.


Docking tab (Preferences dialog)
Following options can be set on this tab:
  • Skin for docked notes - can be the common program's skin or custom skin for docked notes only.
  • Docked skinless notes size - can be the common skinless notes size or custom size for docked notes only.
  • Docked skinless notes backgound and/or caption font - can be the common skinless notes background/caption font or custom for docked notes only.
  • Distanse between docked notes - may vary from 0 to 5 pixels.
  • Inverted docking order - check this option if you want docked notes to start from opposite side, i.e. notes docked to left or right will start from the bottom of the screen instead of top, notes docked to top or bottom will start from the right edge instead of left.


Behavior tab (Preferences dialog)
Following options can be set on this tab:
  • Save all on program exit - select/deselect appropriate checkbox.
  • Confirm saving - select/deselect appropriate checkbox. You wll be prompted to save unsaved notes when program exits.
  • Confirmation before deletion - select/deselect appropriate checkbox. You will be prompted to confirm deletion of note.
  • Autosave options - select/deselect appropriate checkbox to enable/disable autosave. If autosave is enabled all notes will be saved automatically in a specified period and you'll never lost data, even after program crash.
  • Hot keys - set your own hot keys for more comfortable work.
  • New note's Z-order position - check this option if you want newly created notes on the top of other windows.
  • Notes's positioning - check this option in oder to save relational notes's position instead of absolute - it may help when you run the program on computers with different screen resolution.


Misc tab (Preferences dialog)
Following options can be set on this tab:
  • Show all notes on program start - select/deselect appropriate checkbox.
  • Run program on system start - select/deselect appropriate checkbox.
  • New version checking - checks for new program version. Select appropriate checkbox in order to check for new version each time the program starts.
  • Default browser - specify your preferred browser or leave the field blank in order to use the default system one.
  • Import notes from old versions - import notes from versions prior to 3.0


Control Panel
This is your cental command point.
On the left side of window there is a tree of notes's groups. The most upper node of tree is called "All Groups" and cannot be removed or modified. If this node is selected, all notes from all groups are shown in the list on the right side of window. In this case you cannot drag-and-drop notes.
If no groups has been created before - the default one, "General", will be created at program start and all notes will belong to this group.
The toolbar [image] of groups's tree deals with groups and it's actions are described in table below:

Button | Action
 | Creates new top-level group (group located under "All Groups").
 | Creates new subgroup in selected group.
 | Modify selected group (name and/or icon).
 | Deletes selected group. All notes belong to selected group and all it's subgroups will be deleted as well. You cannot delete the "General" group because it is required for normal program behavor - but you can change it's name instead.
 | Shows all notes from selected group.
 | Hides all notes from selected group.

This toolbar has corresponding pop-up menu with the same buttons, appears after right mouse button click on the groups's tree.
while creating or modifying group, you can choose it's name and/or group's icon from a list of available icons.
You can also drag any group (except "All Groups") to new location within tree and assign it a new parent group.

On the right side of window there is a list of notes belong to selected group or all notes if "All Groups" is selected. If you choose "Details" view, the list will show number of columns, depending on which group is selected in groups's tree. In case of "All Groups" there will be 4 columns:

Meaning of each column is self-explanatory.
If any other group is selected the "Group" column becomes unvisible.
Each note is presented in list with appropriate icon. Meaning of icons is described in table below:

Icon | Description
 | Unchanged note.
 | Changed note.
 | Scheduled note.
 | Scheduled and changed note.
 | New (unsaved) note.
 | New (unsaved) changed note.
 | New (unsaved) and sceduled note.
 | New (unsaved), scheduled and changed note.
(*)Icons in table refer to visible notes. Unvisible notes are presented with the same icons, but in different color -

The main toolbar [image] located at the top of window allows to perform various operations with notes, as described in table below:

Button | Action
 | Creates new note. If "All Groups" is selected, the new note is being created in default "General" group, otherwise it is being created in selected group.
 | Saves selected note.
 | Saves selected note with new name.
 | Opens Adjust dialog for selected note.
 | Saves all notes.
 | Shows docking options for all notes.
 | Shows selected note.
 | Shows all notes.
 | Hides selected note.
 | Hides all notes.
 | Move selected notes to the center of screen and make it visible.
 | Centralize selected note like previous button and restore it's default size. Added as "S.O.S" button for the cases when note by some mystery reasons gets negative sizes (may be on system restart)
 | Deletes selected note.
 | Sends content of selected note via email.
 | Applies "Icons" list view style.
 | Applies "Small Icons" list view style.
 | Applies "List" list view style.
 | Applies "Details" list view style.
 | Shows program preferences dialog.
 | Brings up search dialog.
 | Shows program help.

This toolbar has corresponding pop-up menu with the same buttons, appears after right mouse button click on the notes's list.


Searching
Searching in single notes is identical for searching process in Notepad or other applications.
Searching in all notes is performed with special dialog:

In search results list you can see all searched text occurrences (with line and column specified) in visible and, in case the appropriate check box is checked, hidden notes. Double click on the list row will select the searched text in appropriate note and make hidden note visible.
Also on this dialog you can clear search history.


Command line

 There are several command line options in PNotes:
  1. x - will close current PNotes instance
  2. s - when using with x, will close PNotes instance in silent mode, saving all unsaved notes without prompting, if appropriate option ("Save all on exit") is selected on Preferences window (Misc tab)
  3. n - when using with x will close PNotes instance without saving any unsaved note, overriding all preferences settings
  4. -conf or -config - allows to define configuration file (Notes.ini) path, data folder path another than default (the default is application folder) and external launcher path (if any presented, for example PortableApps launcher). The command line may or may not include the configuration file name. If there is no such file the new one will be created.
Usage:
"C:\PNotes\PNotes.exe" -xs
"C:\PNotes\PNotes.exe" -conf "C:\Documents and Settings\Configuration"
"C:\PNotes\PNotes.exe" -conf "C:\Documents and Settings\Configuration" "C:\Documents and Settings\Data"
"C:\PNotes\PNotes.exe" -conf "" "C:\Documents and Settings\Data"
"C:\PNotes\PNotes.exe" -conf "C:\Documents and Settings\Configuration" "C:\Documents and Settings\Data" "C:\PortablePNotes\PortablePNotes.exe"
The first path - configuration file location - is required. If you want to use the default location, send empty string - "". The second and third paths - data folder name and external launcher - are optional.
In case of -conf or -config switch, the program will not check other switches.


Credits
  • A lot of thanks to Pelle Orinius for strong, clever and comfortable Pelles C for Windows IDE.
  • Special credits to Thomas Bleeker for his PNGLib library, which allowed me to use PNG skin images instead of standard bitmaps and dramatically decrease the size of skin files.
  • Thanks to PortableApps.com forum staff for many useful suggestions and spending time for testing the program.
  • Thanks to all PNotes users over the web for goodwill, patience and advices.
  • Thanks to translators, who allowed to PNotes to speak many languages.
  • Thanks to my employers for giving me opportunity and leisure to write this program.
  • Thanks to my family for patience, shelter and nourishment.